Make WordPress Core

Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#54697 closed defect (bug) (worksforme)

Npm error

Reported by: leonmck's profile leonmck Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords:
Focuses: Cc:

Description

Hi I keep getting npm errors when I try to set up my dev environment how do I fix this

Attachments (1)

Screenshot 2021-12-27 at 02.01.01.png (1.2 MB) - added by leonmck 2 years ago.

Download all attachments as: .zip

Change History (4)

#1 @SergeyBiryukov
2 years ago

  • Component changed from General to Build/Test Tools

#2 @leonmck
2 years ago

  • Resolution set to worksforme
  • Status changed from new to closed

#3 @SergeyBiryukov
2 years ago

  • Milestone Awaiting Review deleted

Hi there, welcome to WordPress Trac!

Thanks for the ticket, sorry it took a while for someone to get back to you.

Were you able to resolve the issues with npm? I think I had similar issues when trying to use the latest Node version. Looking at the package.json file in core, it recommends Node 14.15.0 or later, and switching to Node 14.x resolved the issues for me.

Note: See TracTickets for help on using tickets.